Bug 892562 - ghc-7.6.3 is available
ghc-7.6.3 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ghc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks: 855596
  Show dependency treegraph
 
Reported: 2013-01-07 05:55 EST by Upstream Release Monitoring
Modified: 2013-08-30 00:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-21 05:45:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2013-01-07 05:55:01 EST
Latest upstream release: 7.6.1
Current version in Fedora Rawhide: 7.4.2
URL: http://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2013-02-03 05:03:51 EST
Latest upstream release: 7.6.2
Current version in Fedora Rawhide: 7.4.2
URL: http://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Jens Petersen 2013-02-03 23:19:41 EST
I have done scratch bootstrap test builds of 7.6.2 for intel and arm:

x86_64: http://koji.fedoraproject.org/koji/taskinfo?taskID=4921062
i686:   http://koji.fedoraproject.org/koji/taskinfo?taskID=4921063
armv7:  http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1412219

I put the "bootstrap" srpm at
http://petersen.fedorapeople.org/ghc-7.6/ghc-7.6.2-11.fc19.src.rpm [106MB]
which if built with http://petersen.fedorapeople.org/ghc-7.6/ghc-rpm-macros-0.976.5-1.fc19.src.rpm should generate correct rpm dependencies with ghc-pkg-7.6.

The next Haskell Platform release is due in May
(http://trac.haskell.org/haskell-platform/wiki/ReleaseTimetable)
which will surely too late for F19.
Comment 3 Jens Petersen 2013-04-21 23:05:28 EDT
ghc-7.6.3 has been released with one bugfix.
Comment 4 Upstream Release Monitoring 2013-04-22 03:12:29 EDT
Latest upstream release: 7.6.3
Current version in Fedora Rawhide: 7.4.2
URL: http://haskell.org/ghc/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 5 Jens Petersen 2013-04-23 05:40:53 EDT
initial ghc-7.6.3 bootstrap committed to git master
Comment 6 Andrew Cowie 2013-06-12 01:12:29 EDT
Any chance of getting this into F19?

AfC
Comment 7 Jens Petersen 2013-06-13 02:53:54 EDT
I am thinking about backporting after:

- building for f20 rawhide and
- after F19 GA (final) release

but it is quite some work to do it and
we haven't done a ghc backport in a long time.
So I don't want to raise expectations too high
and I will just say "maybe" for now.

Most of the preparation for F20 ghc-7.6.3 has been done now,
but nothing is built yet in the buildsystem.

In the meantime you could try my test repo for f19:

http://repos.fedorapeople.org/repos/petersen/ghc-7.6.3/
Comment 8 Jens Petersen 2013-06-21 05:45:50 EDT
Built for F20 rawhide.
Comment 9 Andrew Cowie 2013-08-29 09:20:28 EDT
I just ran up your testing repo on a Fedora 19 box, and everything built fine all the way up to a userland Snap web application. I'd say you can safely release a backport of GHC 7.6.3 to F19 users.

AfC
Comment 10 Jens Petersen 2013-08-29 21:55:16 EDT
Well I would like to but main problem is finding time to do that...

Can people say more about why they need 7.6.3 now?
(Personally I am managing okay with 7.4.2 in F19.)
Comment 11 Jens Petersen 2013-08-29 21:57:28 EDT
(Also the problems I am seeing with llvm-3.3 and ghc on ARM
make me worry about backporting to F19, even though ARM is
not a F19 primary arch.)
Comment 12 Andrew Cowie 2013-08-30 00:31:44 EDT
Speaking for myself, I need the profiling fixes Simon made that cause IDLE time not to be costed. From a programming perspective, the move of `catch` out of Prelude is an annoyance and we decided just to declare < 7.6 a loss and move on. Far more importantly, however, is that the RTS performance is dramatically better for webserver class workloads.

AfC

Note You need to log in before you can comment on or make changes to this bug.